using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using Syncfusion.Windows.Forms.Chart;

namespace AxesTitleOverlap
{
  public partial class Form1 : Form
  {
    private ChartAxis _temperatureAxis = new ChartAxis();
    private ChartAxis _derivative1Axis = new ChartAxis();

    public Form1()
    {
      InitializeComponent();
      InitializeControlSettings();
        // Specify temperature y-axis
      _temperatureAxis.Title = "Temperature";
      _temperatureAxis.OpposedPosition = true;
      _temperatureAxis.DrawGrid = false;
      _temperatureAxis.Orientation = ChartOrientation.Vertical;
      _temperatureAxis.RangePaddingType = ChartAxisRangePaddingType.None;
      _temperatureAxis.ForeColor = Color.Red;
      _temperatureAxis.TitleAlignment = StringAlignment.Center;
     
      this.chartControl1.Axes.Add(_temperatureAxis);

      // Specify derivative1 y-axis
       
	    _derivative1Axis.Title = "Derivative 1";
      _derivative1Axis.OpposedPosition = true;
      _derivative1Axis.TitleAlignment = StringAlignment.Center;
      _derivative1Axis.DrawGrid = false;
      _derivative1Axis.Orientation = ChartOrientation.Vertical;
      _derivative1Axis.RangePaddingType = ChartAxisRangePaddingType.None;
      _derivative1Axis.ForeColor = Color.Blue;
      this.chartControl1.Axes.Add(_derivative1Axis);
      SetLocation();
    }
      private void InitializeControlSettings()
      {
          this.chartControl1.Font = new System.Drawing.Font("Arial", 12F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));

          // Specify a ChartPalette:
          Color[] color = new Color[] { Color.FromArgb(185, 73, 141, 238), Color.FromArgb(185, 247, 179, 78), Color.FromArgb(185, 186, 66, 30), Color.DarkOrange, Color.DarkGoldenrod };
          this.chartControl1.Palette = ChartColorPalette.Custom;
          this.chartControl1.Model.ColorModel.CustomColors = color;
          this.chartControl1.Palette = ChartColorPalette.Custom;

          this.chartControl1.ChartInterior = new Syncfusion.Drawing.BrushInfo(185, new Syncfusion.Drawing.BrushInfo(Syncfusion.Drawing.GradientStyle.Vertical, Color.LightBlue, Color.Azure));
          this.chartControl1.LegendPosition = ChartDock.Top;
          this.chartControl1.HidePartialLabels = true;
      }
      protected void SetLocation()
      {
          _derivative1Axis.LocationType = ChartAxisLocationType.Set;
          _derivative1Axis.Location = new PointF(this.chartControl1.PrimaryYAxis.Location.Y + 200, this.chartControl1.PrimaryYAxis.Location.Y);
      }

      private void Form1_SizeChanged(object sender, EventArgs e)
      {
          this.chartControl1.ChartArea.BoundsByAxes = false;
          SetLocation();
      }

      private void chartControl1_VisibleRangeChanged(object sender, EventArgs e)
      {
          this.chartControl1.ChartArea.BoundsByAxes = false;
          SetLocation();
      }
  }
}